@import '../../../globalStyle/variable.scss';

.flatpickr-input {
  display: none !important;
}

.flatpickr-time input.flatpickr-hour {
  font-weight: normal;
}

:focus {
  outline: none;
}

.flatpickr-calendar {
  padding-bottom: 15px;
  float: left;
  width: 100% ;
}

.hiden {
  display: none;
}

.msgClass {
  color: red;
  font-size: 12px;
}

.react-datepicker__month-container {
  float: none !important;
}

.react-datepicker__header {
  background: none !important;
  border: none !important;
  border-radius: 0 !important;
  padding-top: 15px !important;
}

.react-datepicker__day--disabled,
.react-datepicker__day--outside-month {
  color: #999999 !important;
}

.react-datepicker__day-name {
  font-weight: 500;
}

.react-datepicker {
  font-size: 12px !important;
  padding: 0;
  border: 1px solid $borderColor !important;
  margin-top: 4px;
  position: absolute !important;
  z-index: 5000;
  font-family: Roboto, sans-serif !important;
  left: 0;
  top: 37px;
}

.react-datepicker__current-month {
  display: none !important;
}

.react-datepicker__day-names {
  margin-top: 15px !important;
}
.react-datepicker__day,
.react-datepicker__day-name,
.react-datepicker__time-name {
  width: 28px !important;
  line-height: 30px !important;
}
select,
.react-datepicker-time__input input {
  border: 1px solid $borderColor !important;
  border-radius: 3px;
  padding: 6px 10px;
  height: 34px;
}

.react-datepicker__navigation {
  top: 25px;
  border: 0.5rem solid transparent;
}

.react-datepicker__navigation--previous {
  left: 8px;
  border-right-color: #2f3b4c;
}

.react-datepicker__navigation--next {
  right: 8px;
  border-left-color: #2f3b4c;
  height: 14px;
  width: 22px;
}

.react-datepicker__day--today {
  font-weight: 400 !important;
}

.react-datepicker__day--selected,
.react-datepicker__day--in-selecting-range,
.react-datepicker__day--in-range {
  background: #0f67ea !important;
  color: #fff !important;
}

.submit-cancel-area {
  text-align: center;
}
.calendar-done {
  padding: 15px;
}
.schedule-test-popup {
  margin: 10px;
}

.numInputWrapper {
  margin-right: 10px;
  background: #fff;
  border-radius: 2px;
  height: 32px !important;
  width: 45px;
  float: left;
  position: relative;
  margin-right: 8px;
 
}
.numInputWrapper:focus {
  border-color: #0f67ea;
}
.flatpickr-time .numInputWrapper{
  flex: initial !important;
  width: 45px !important;
  height: 32px !important;
}
.flatpickr-calendar.showTimeInput.hasTime .flatpickr-time {
  border: none;
}
:-moz-input-invalid {
  border-color:#000 !important;
}
.flatpickr-time {
  background: none;
  max-height: 32px !important;
  overflow: visible !important;
  input {
    width: 100% !important;
    border: none !important;
    text-align: left;
    min-height: 34px !important;
    background: none;
    line-height: 24px;
    padding: 3px 10px 3px 8px !important;
  }
}

.flatpickr-time-separator {
  margin-right: 8px;
  float: left;
}

.react-datepicker__input-time-container
  .react-datepicker-time__input-container
  .react-datepicker-time__input
  input {
  width: 115px !important;
}

.submit-cancel-area {
  .msgClass {
    margin-top: 10px !important;
  }

  input:focus {
    border: none !important;
    box-shadow: none !important;
    background: none !important;
  }
}

.numInputWrapper {
  span:hover {
    background: none;
  }

  &:hover {
    background: #fff !important;
  }
}

.repost-time {
  display: inline-block;
}

.styles_closeButton__20ID4 {
  position: absolute;
  border-radius: 15px;
  top: -13px;
  right: -13px;
  border: none;
  padding: 0;
  background-color: #ffffff;
  display: flex;
}

.css-vj8t7z {
  border-radius: 0 !important;
  min-height: 32px !important;

  input#react-select-8-input {
    padding: 2px 12px;
  }
}

.css-1ep9fjw,
.css-1uq0kb5 {
  padding: 4px !important;
}

.css-14uuagi {
  padding: 2px 12px !important;
}

.submit-cancel-area button {
  display: block;
  width: 100%;
  margin: 0;
}

.flatpickr-am-pm {
  &:focus {
    border: 1px solid #0f67ea !important;
  }
}

.flatpickr-time {
  line-height: 32px;
  overflow:visible !important;
}

.btn-no,
.btn-yes {
  min-width: 50px;
}

.schedule-post-input {
  text-align: center;
  padding: 7px 0px;
  position: relative;
  input {
    &.post-input {
      border-right: none;
      border-left: none;
    }
  }
}

.post-input-first {
  border-radius: 4px 0 0 4px;
}

.AddClass {
  background: none !important;
  border: none !important;
  color: gray !important;
  margin-top: 10px !important;
  padding: 0 0 15px !important;
  border-radius: 0 !important;
}

.numInputWrapper span {
  opacity: 1;
  border: none;
  right: 5px;
  height: 46%;
  top: 34%;
}

/* .flatpickr-time .numInputWrapper span.arrowUp:after {
  border-bottom-color: #484848;
}
.numInputWrapper span.arrowUp:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid rgba(72,72,72,0.6);
  top: 26%;
}
.numInputWrapper span.arrowDown:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid rgba(72,72,72,0.6);
  top: 7px !important;
}
.flatpickr-time .numInputWrapper span.arrowDown:after {
  border-top-color: #484848;
}
.numInputWrapper span:after {
  display: block;
  content: "";
  position: absolute;
} */
.numInputWrapper span.arrowDown:after {
  border: none !important;
  top:50%;
}
.numInputWrapper span.arrowDown{
    top:50%;
}
input {
  &[type='number'] {
    &::-webkit-inner-spin-button,
    &::-webkit-outer-spin-button {
      -webkit-appearance: none;

      /* -moz-appearance: none; */
      appearance: none;
      margin: 0;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      background-image: url('../../../assets/date-select-bg.png') !important;
      background-repeat: no-repeat !important;
      background-position: right 7px top 11px !important;
      width: 20px;
    }

    /* -moz-appearance:textfield; */
    position: relative;

    /* margin: 0 0 1rem; */
    background-image: url('../../../assets/date-select-bg.png') !important;
    background-repeat: no-repeat !important;
    background-position: right 7px top 7px !important;
  }

  // &:focus[type='number'] {
  //   border: 1px solid #0f67ea !important;
  // }
}

@-moz-document url-prefix() {
  input {
    &[type='number'] {
      background: none !important;

      &::-webkit-inner-spin-button,
      &::-webkit-outer-spin-button {
        background: none !important;
        border: none;
      }
    }
  }
}

.react-datepicker__month-select option:hover {
  background: none;
  border: none;
  color: #0f67ea;
}

@media only screen and (max-width: 767px) {
  .react-datepicker {
    left: 4%;
    width: 85%;
  }

  .schedule-post-input input {
    width: 42.5%;
  }

  .numInputWrapper {
    width: 77px;
  }
}

@media only screen and (max-width: 1450px) and (min-width: 1381px) {
}
